`timescale 1ns / 1ps

//******************************************************************************
//* Digitlis technika (VIMIAA02) - 3. labor                                   *
//*                                                                            *
//* 3. feladat: htszegmenses dekder.                                         *
//******************************************************************************
module dec_7seg(
   input  wire [3:0] dec_in,
   output reg  [6:0] dec_out
);

//A htszegmenses dekder igazsgtbljt knnyen lerhatjuk Verilog nyelven
//always blokkban case utastst hasznlva. A kimenet esetn at '1' rtk
//jelentse az aktv (bekapcsolt) szegmenst. A dekder kimenetnek rtelmezse:
//dec_out[0]: A, dec_out[1]: B, dec_out[2]: C, ..., dec_out[6]: F
always @(*)
begin
   case (dec_in)
      4'h1   : dec_out <= 7'b0000110;
      4'h2   : dec_out <= 7'b1011011;
      4'h3   : dec_out <= 7'b1001111;
      4'h4   : dec_out <= 7'b1100110;
      4'h5   : dec_out <= 7'b1101101;
      4'h6   : dec_out <= 7'b1111101;
      4'h7   : dec_out <= 7'b0000111;
      4'h8   : dec_out <= 7'b1111111;
      4'h9   : dec_out <= 7'b1101111;
      4'ha   : dec_out <= 7'b1110111;
      4'hb   : dec_out <= 7'b1111100;
      4'hc   : dec_out <= 7'b0111001;
      4'hd   : dec_out <= 7'b1011110;
      4'he   : dec_out <= 7'b1111001;
      4'hf   : dec_out <= 7'b1110001;
      default: dec_out <= 7'b0111111;
   endcase
end


endmodule
