`timescale 1ns / 1ps

//******************************************************************************
//* Digitlis technika (VIMIAA02) - 3. labor                                   *
//*                                                                            *
//* 2. feladat: 3/8 dekder.                                                   *
//******************************************************************************
module dec_3to8(
   input  wire [2:0] dec_in,     //A dekder bemenete.
   input  wire       dec_en,     //A dekder engedlyez jele.
   output reg  [7:0] dec_out     //A dekder kimenete.
);

//Valstsuk meg a 3/8 dekdert always blokkban, if s case utastsokkal.
always @(*)
begin
   if (dec_en)
      case (dec_in)
         3'd1   : dec_out <= 8'b00000010;
         3'd2   : dec_out <= 8'b00000100;
         3'd3   : dec_out <= 8'b00001000;
         3'd4   : dec_out <= 8'b00010000;
         3'd5   : dec_out <= 8'b00100000;
         3'd6   : dec_out <= 8'b01000000;
         3'd7   : dec_out <= 8'b10000000;
         default: dec_out <= 8'b00000001;
      endcase
   else
      dec_out <= 8'b00000000;
end

endmodule
