`timescale 1ns / 1ps

//******************************************************************************
//* Digitlis technika (VIMIAA02) - 3. labor                                   *
//*                                                                            *
//* Tesztkrnyezet a 2. feladathoz.                                            *
//******************************************************************************
module dec_3to8_test;

	// Inputs
	reg [2:0] dec_in;
	reg dec_en;

	// Outputs
	wire [7:0] dec_out;

	// Instantiate the Unit Under Test (UUT)
	dec_3to8 uut (
		.dec_in(dec_in), 
		.dec_en(dec_en), 
		.dec_out(dec_out)
	);
   
   integer i;

	initial begin
		// Initialize Inputs
		dec_in = 0;
		dec_en = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		//Hasznljunk for ciklust a dekder bemeneteinek ellltshoz.
      //Az j rtkek 10 ns-onknt kerljenek a bemenetekre az albbi mdon:
      //- dec_in: a ciklusvltoz als 3 bitje (0., 1. s 2. bitje)
      //- dec_en: a ciklusvltoz kvetkez bitje (3. bitje)
      //
      //Hny iterci szksges a ciklusban, hogy minden bemeneti kombinci
      //tesztelve legyen?
      for(i = 0; i < 16; i = i + 1)
      begin
         dec_in = i[2:0];
         dec_en = i[3];
         #10;
      end
	end
      
endmodule

